open(vid)

minAx = 0;
maxAx = K;

for i = 1:10:T_pde+1
    clf
    sgtitle('t = ' + string(i - 1) + ' h')

    % Subplot: cellule non infette + confronto PDE
    subplot(1, 2, 1)
    plot(-L:delta:L, U_plot(:, i)/delta, 'LineWidth', 1)
    hold on
    plot(x, u1(i, :), 'k:', 'LineWidth', 1)
    plot(-L:delta:L, c_plot(:, i)/10, 'g--', 'LineWidth', 1)
    legend('U (Agenti)', 'u1 (PDE)', 'c/10')
    title('Cellule non infette')
    axis([0 L minAx maxAx])

    % Subplot: cellule T e chimica
    subplot(1, 2, 2)
    plot(-L:delta:L, Tcell_plot(:, i)/delta, 'LineWidth', 1)
    hold on
    plot(-L:delta:L, c_plot(:, i), 'LineWidth', 1)
    plot(x, u3(i, :), 'k:', 'LineWidth', 1)
    plot(x, u4(i, :), 'k--', 'LineWidth', 1)
    legend('Tcell (Agenti)', 'c (Agenti)', 'u3 (PDE)', 'u4 (PDE)')
    title('Cellule T e sostanza chimica')
    axis([0 L minAx maxAx])

    frame = getframe(h);
    writeVideo(vid, frame);
end

close(vid)

% Cosa è stato rimosso:
%(1)tutte le tracce di I_plot, u2 (cellule infette)
%(2)le linee di soglia virale/infezione